import java.util.regex.*;
import java.util.ArrayList;
import com.decontextualize.a2z.TextFilter;

public class NegativeSpace extends TextFilter {
  public static void main(String[] args) {
    new NegativeSpace().run();
  }

  private int longestLineLength = 0;
  private String fill = "#";
  private ArrayList<String> lines = new ArrayList<String>();

  public void eachLine(String line) {
    if (line.length() > longestLineLength) {
      longestLineLength = line.length();
    }
    lines.add(line);
  }

  public void end() {
    for (String line: lines) {
      while (line.length() < longestLineLength) {
        line += " ";
      }
      line = line.replaceAll("\\W", fill);
      line = line.replaceAll("\\w", " ");
      println(line);
    }
  }

}
